public class UebWhileFahrenheitApp extends java.applet.Applet
{	
	public void paint (java.awt.Graphics g)
	{
		int lRand			= 20;
		int oRand			= 20;
		int abstandSpalte	= 50;
		int abstandZeile	= 15;
		int schritt=10;
		int fahr;
		int cel=-40;
		
		int spalte=1;
		int zeile	= 1;
		g.drawString("°C",lRand+abstandSpalte*spalte,
			oRand+abstandZeile*zeile);
		zeile=2;
		while(zeile<=11)
		{
			g.drawString("" + (cel+=schritt),
				lRand+abstandSpalte*spalte,oRand+abstandZeile*zeile);
			zeile++;
		}
		
		cel = -40;
		spalte	= 2;
		zeile	= 1;
		
		g.drawString("°F",lRand+abstandSpalte*spalte,
			oRand+abstandZeile*zeile);
		zeile=2;
		while(zeile<=11)
		{
			g.drawString("" + ((cel+=schritt)*9/5+32),
				lRand+abstandSpalte*spalte,
				oRand+abstandZeile*zeile);
			zeile++;
		}
		 		
		fahr = -10;
		spalte	= 3;
		zeile	= 1;
		
		g.drawString("°F",lRand+abstandSpalte*spalte,
			oRand+abstandZeile*zeile);
		zeile=2;
		while(zeile<=11)
		{
			g.drawString("" + (fahr+=schritt),lRand+abstandSpalte*spalte,
				oRand+abstandZeile*zeile);
			zeile++;
		}
		
		fahr = -10;
		spalte	= 4;
		zeile	= 1;
		
		g.drawString("°C",lRand+abstandSpalte*spalte,
			oRand+abstandZeile*zeile);
		zeile=2;
		while (zeile<=11)
		{
			g.drawString("" + ((fahr+=schritt)-32)*5/9,
				lRand+abstandSpalte*spalte,
				oRand+abstandZeile*zeile);
			zeile++;
		}
	}
}